## muse 1.1

=== debian/changelog ===
muse (1.1-0ubuntu6) oneiric; urgency=low

  * Revert:
    - added -ljackserver to LDFLAGS to fix a FTBFS because of --as-needed
  * Fix link order linking muse. LP: #831081.

 -- Matthias Klose <doko@ubuntu.com>  Wed, 14 Sep 2011 17:37:19 +0200

muse (1.1-0ubuntu5) oneiric; urgency=low

  * No-change rebuild for fluidsynth transition (LP: #821346)

 -- Alessio Treglia <quadrispro@ubuntu.com>  Fri, 05 Aug 2011 18:24:27 +0200

muse (1.1-0ubuntu4) oneiric; urgency=low

  * Fix FTBFS with GCC4.6 (LP: #770801).
  * Drop LASH support (LP: #791084).

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 01 Jun 2011 15:58:28 +0200

muse (1.1-0ubuntu3) natty; urgency=low

  * Drop ladcca support since it's superseded by LASH, obsolete and abandoned
    upstream.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 08 Dec 2010 02:00:50 +0100

muse (1.1-0ubuntu2) natty; urgency=low

  * debian/rules: added -lrt for armel platform. This fixes a FTBFS in armel.

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 24 Nov 2010 07:06:30 +0000

muse (1.1-0ubuntu1) natty; urgency=low

  * New upstream release (LP: #668631)
  * Switch to dpkg-source 3.0 (quilt) format
  * Switch to dh7 short form
  * debian/rules:
    - added --enable-dssi and --enable-osc to conf flags for dssi support
    - added -ljackserver to LDFLAGS to fix a FTBFS because of --as-needed
  * debian/control:
    - added build build dependency on liblo-dev and dssi-dev for dssi support
    - bump Standards-version to 3.9.1. No changes required.
  * debian/muse.desktop, debian/muse.xpm: dropped as desktop file and icon is
    now shipped upstream.
  * fix-desktop-categories.patch: fix Categories tag in upstream desktop file
  * 10_es_locale_fix.dpatch: refreshed and converted to quilt as
    fix_es_locale.patch

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Wed, 17 Nov 2010 21:43:38 +0100

muse (1.0.1-0ubuntu5) maverick; urgency=low

  * Rebuild for liblash soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 30 Sep 2010 09:56:45 +0000

muse (1.0.1-0ubuntu4) maverick; urgency=low

  * No-change rebuild against new FluidSynth.

 -- Alessio Treglia <quadrispro@ubuntu.com>  Wed, 15 Sep 2010 11:28:43 +0200

muse (1.0.1-0ubuntu3) maverick; urgency=low

  * No changes upload for liblash2 -> liblash3 transition

 -- Fabrice Coutadeur <fabricesp@ubuntu.com>  Sat, 11 Sep 2010 09:28:19 +0200

muse (1.0.1-0ubuntu2) maverick; urgency=low

  * No-change rebuild for jack transition

 -- Lorenzo De Liso <blackz@ubuntu.com>  Wed, 21 Jul 2010 12:48:17 +0200

muse (1.0.1-0ubuntu1) lucid; urgency=low

  [ Eric Hedekar ]
  * New upstream version (LP: #479688)
  * Removed patches that were fixed in upstream source
    -[10_64bit_memcorruption_fix]
    -[10_gcc43_build_fixes]
    -[10_lash_private_api_fix]
    -[10_log2f_aliasing_fix]
    -[10_vamgui_init_fix]
    -[20_fix_const]

  [ Fabrice Coutadeur ]
  * debian/watch: added watch file
  * debian/muse.desktop: deleted deprecated Encoding key, Application category
    and icon extension. This fix several warning with lintian and
    desktop-file-validate

 -- Eric Hedekar <afterthebeep@gmail.com>  Tue, 26 Jan 2010 02:32:14 -0800

muse (0.8.1a-7) unstable; urgency=high

  * Added patches:
    + [10_64bit_memcorruption_fix] New.
      Fix memory corruption in Pool allocator on 64bit architectures.
      Closes: #558285
    + [10_es_locale_fix] New.
      Fix character encoding in Spanish localization file. Patch thanks
      to Christian Perrier. Closes: #415304

 -- Daniel Kobras <kobras@debian.org>  Sun, 06 Dec 2009 19:04:05 +0100

muse (0.8.1a-6.3) unstable; urgency=low

  * Non-maintainer upload.
  * Get ready for being built with GCC 4.4.
    Thanks to Stefan Potyra for the patch
    Closes: #548468

 -- Christian Perrier <bubulle@debian.org>  Sun, 27 Sep 2009 08:18:22 +0200

muse (0.8.1a-6.2) unstable; urgency=low

  * Non-maintainer upload.
  * Build-Depends on libjack-dev. Closes: #527418
  * Bump debhelper compatibility to 7 (4 is outdated)
  * Replace deprecated "dh_clean -k" by dh_prep
  * Fix pending l10n issues. Debconf translations:
    - Italian (Vincenzo Campanella).  Closes: #502471
    - Japanese (Hideki Yamane (Debian-JP)).  Closes: #512977
    - Vietnamese (Clytie Siddall).  Closes: #513669

 -- Christian Perrier <bubulle@debian.org>  Sun, 13 Sep 2009 19:53:22 +0200

muse (0.8.1a-6.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix pending l10n issues. Debconf translations:
    - Swedish. Closes: #491951
    - Russian. Closes: #501474
    - Basque. Closes: #501611
    - Arabic. Closes: #501633
    - Finnish. Closes: #501711

 -- Christian Perrier <bubulle@debian.org>  Tue, 14 Oct 2008 07:15:10 +0200

muse (0.8.1a-6) unstable; urgency=low

  * Added patches:
    + [10_gcc43_build_fixes] New.
      Add various includes to fix build failures with g++ 4.3. Extended
      version of original patch by Martin Michlmayr. Closes: #417452
  * debian/control: Package complies with version 3.7.3 of Debian policy.
  * debian/copyright: Recode as UTF-8.
  * debian/menu: Move section from "Apps" to current "Applications".
  * debian/muse.doc-base: Register documentation in section "Sound".
  * debian/po/nl.po: Add Dutch translation of debconf messages.
    Closes: #418901
  * debian/rules: No longer ignore all errors from make clean.
  * debian/rules: Forcibly convince libtool to not generate an rpath entry
    on 64bit platforms.
  * debian/rules: Specify corrent directory to wipe backup file .muse.bin.bak
    from. Fixes errors when building package twice in a row. Closes: #424585

 -- Daniel Kobras <kobras@debian.org>  Sun, 09 Mar 2008 15:33:08 +0100

muse (0.8.1a-5) unstable; urgency=low

  * Added patches:
    + [10_lash_private_api_fix] New.
      Don't use functions from LASH's internal API. Fixes build errors
      with recent liblash. Closes: #431327

 -- Daniel Kobras <kobras@debian.org>  Wed, 11 Jul 2007 20:11:14 +0200

muse (0.8.1a-4) unstable; urgency=low


