=== debian/control ===
Source: muse
Section: sound
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Kobras <kobras@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libqt3-mt-dev,
 libasound2-dev,
 libsndfile1-dev,
 libjack-dev,
 libfluidsynth-dev (>> 1.0.3-5),
 libsamplerate0-dev,
 uuid-dev,
 autotools-dev,
 liblo-dev,
 dssi-dev
Standards-Version: 3.9.1

Package: muse
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, python
Recommends: jackd, cmt
Description: Qt-based midi/audio sequencer
 MusE is a MIDI/audio sequencer with recording and editing capabilities.
 Some Highlights:
 . 
  - standard midifile (smf) import-/export 
  - organizes songs in tracks and parts which you can arrange with 
    the part editor 
  - midi editors: pianoroll, drum, list, controller 
  - score editor with high quality postscript printer output 
  - realtime: editing while playing 
  - unlimited number of open editors 
  - unlimited undo/redo 
  - realtime and step-recording 
  - multiple midi devices 
  - unlimited number of tracks 
  - Sync to external devices:
    MTC/MMC, Midi Clock, Master/Slave (currently only partially implemented) 
  - audio tracks, LADSPA host for master effects 
  - multithreaded 
  - uses raw midi devices (ALSA & serial ports..., OSS was dropped) 
  - XML project file 
  - project file contains complete app state (session data) 
  - Application spanning Cut/Paste Drag/Drop
