=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

muse_confflags = --disable-qttest --disable-suid-build --enable-dssi --enable-osc
muse_confflags += --prefix=/usr

export QTDIR=/usr/share/qt3
muse_confflags += --with-qt-libraries=/usr/lib/qt3 --with-qt-includes=/usr/include/qt3

%:
	dh $@

override_dh_auto_configure:
	dh_auto_configure -- $(muse_confflags)

override_dh_install:
	dh_auto_install

	# move html documentation to the correct directory
	mv $(CURDIR)/debian/muse/usr/share/muse/html \
	  $(CURDIR)/debian/muse/usr/share/doc/muse
	dh_link usr/share/doc/muse/html usr/share/muse/html

	dh_install debian/muse-song-convert.py usr/bin
	mv $(CURDIR)/debian/muse/usr/bin/muse-song-convert.py \
	  $(CURDIR)/debian/muse/usr/bin/muse-song-convert

override_dh_installchangelogs:
	# overriden to install upstream changelog 
	dh_installchangelogs ChangeLog
