=== debian/watch ===
version=3
opts=uversionmangle=s/(rc)/~$1/ \
http://sf.net/lmuse/muse-(.*)\.tar\.gz
