## muse 2.0~beta2

=== debian/changelog ===
muse (2.0~beta2-2) unstable; urgency=low

  * Add patch to prevent FTBFS due to GCC's harden'd flags.

 -- Alessio Treglia <alessio@debian.org>  Tue, 25 Oct 2011 11:00:24 +0200

muse (2.0~beta2-1) unstable; urgency=low

  * New maintainer (see bug 637185#12), thanks Daniel!
  * New upstream release (Closes: #627371):
    - New interface Qt4-based (Closes: #604584)
  * Refresh packaging:
    - Move to DH7 and source format 3.0 (quilt).
    - Refresh patchset.
    - Fix a bunch lintian warnings.
    - debian/postinst:
      + Use set -e in the body rather than pass -e on the #! line to make it
        have actually effect if it is run by hand with "sh /path/to/script".
    - Update instructions on how-to increase RTC clock frequency.
      Thanks to Torquil Macdonald Sørensen for the report (Closes: #570833).
    - Bump Standards.

 -- Alessio Treglia <alessio@debian.org>  Fri, 12 Aug 2011 11:16:41 +0200

muse (0.8.1a-7.2) unstable; urgency=low

  * Non-maintainer upload.

  [ Alessio Treglia ]
  * debian/control, debian/rules:
    - Drop LASH support (Closes: #628945).
  * debian/rules:
    - Do not ship *.la file (Closes: #622424).
  * debian/patches/30_gcc46.dpatch:
    - Fix FTBFS with gcc-4.6 (Closes: #628949)

  [ Luca Falavigna ]
  * debian/patches/30_whole-archive.dpatch:
    - Handle --whole-archive as a linker flag.

 -- Luca Falavigna <dktrkranz@debian.org>  Sat, 18 Jun 2011 12:45:40 +0200

muse (0.8.1a-7.1) unstable; urgency=high

  * Non-maintainer upload.
  * Removed ladcca-dev from Build-Dependencies (Closes: #606283)

 -- Mehdi Dogguy <mehdi@debian.org>  Fri, 10 Dec 2010 21:07:59 +0100
