=== debian/watch ===
version=3
opts=uversionmangle=s/(alpha|beta)/~$1/ \
http://sf.net/lmuse/muse-(.*)\.tar\.gz
